> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lighton.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create MCP server

> Create a new MCP server scoped to the authenticated user's personal group. The server is automatically linked to the user's company and personal group — users cannot create servers for other companies or groups.

`authentication_method` determines how the server authenticates requests. Possible values:
- `none`: no authentication required
- `url`: credentials are appended to the `url` as the `apiKey` query parameter
- `bearer_token`: credentials are sent as a Bearer token in the Authorization header (provide the token in the `credentials` field)




## OpenAPI

````yaml /api-reference/openapi-v3.yaml post /api/v3/mcp
openapi: 3.0.3
info:
  title: Paradigm API
  version: xenial-xerus (v3)
  description: >-
    A versatile and adaptable tool designed to integrate Generative AI into your
    applications
servers:
  - url: https://paradigm.lighton.ai
security: []
tags:
  - name: Agents
    description: Operations about agents
  - name: Threads
    description: Operations about agents conversation threads
  - name: Tools
    description: Operations about native tools
  - name: Models
    description: Operations about AI models
  - name: MCP
    description: Operations about MCP servers
  - name: Sources
    description: Operations about sources used by agents conversation threads
  - name: Artifacts
    description: Operations about artifacts generated by agents conversation threads
  - name: Agent
    description: >-
      Operations about agents (deprecated). Please use the 'Agents' API
      component instead.
  - name: Files
    description: Operations about files
  - name: Files Processing
    description: Operations about files processing
  - name: Tags
    description: Operations about tags
  - name: Workspaces
    description: Operations about workspaces
  - name: Users
    description: Operations about users
  - name: User Groups
    description: Operations about user groups
  - name: Companies
    description: Operations about companies
  - name: SCIM
    description: Operations about SCIM
paths:
  /api/v3/mcp:
    post:
      tags:
        - MCP
      summary: Create MCP server
      description: >
        Create a new MCP server scoped to the authenticated user's personal
        group. The server is automatically linked to the user's company and
        personal group — users cannot create servers for other companies or
        groups.


        `authentication_method` determines how the server authenticates
        requests. Possible values:

        - `none`: no authentication required

        - `url`: credentials are appended to the `url` as the `apiKey` query
        parameter

        - `bearer_token`: credentials are sent as a Bearer token in the
        Authorization header (provide the token in the `credentials` field)
      operationId: api_v3_mcp_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateMCPServerRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/CreateMCPServerRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CreateMCPServerRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MCPServerResponse'
          description: ''
        '400':
          description: Invalid request data
        '401':
          description: Unauthorized
        '403':
          description: No personal group or company found
      security:
        - bearerAuth: []
components:
  schemas:
    CreateMCPServerRequest:
      type: object
      properties:
        name:
          type: string
        url:
          type: string
        authentication_method:
          allOf:
            - $ref: '#/components/schemas/AuthenticationMethodEnum'
          default: bearer_token
        credentials:
          type: string
          nullable: true
      required:
        - name
        - url
    MCPServerResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        object:
          type: string
          default: mcp_server
        name:
          type: string
        url:
          type: string
          nullable: true
        authentication_method:
          type: string
        has_credentials:
          type: boolean
        enabled:
          type: boolean
        availability_scope:
          type: string
        is_global:
          type: boolean
        company_id:
          type: integer
          nullable: true
        group_id:
          type: integer
          nullable: true
      required:
        - authentication_method
        - availability_scope
        - enabled
        - has_credentials
        - id
        - is_global
        - name
    AuthenticationMethodEnum:
      enum:
        - none
        - url
        - bearer_token
      type: string
      description: |-
        * `none` - none
        * `url` - url
        * `bearer_token` - bearer_token
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your auth token.

````